Acl (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.acl.Acl interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net.acl
Interface Acl

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface Acl

extends LogicalElement

Access Lists classify network traffic. They contain a set of rules against which each packet is compared.

Author:
  yashika, sathvanth
Naming Rules:
  0="parent,aclIndex"
Persistable:
  true
Table Name:
  ACL
Display Name:
  aclName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getAclIndex()`
`java.lang.String` | `getAclName()`
`java.lang.String` | `getAclStatus()`
`L2Interface` | `getInputL2Intf()`
`L2Interface` | `getL2Intf()`
`java.lang.String` | `getName()`
`L2Interface` | `getOutputL2Intf()`
`AclFunction` | `getParent()` An Acl is a Firewalling Function
`Rule[]` | `getRules()`
`boolean` | `hasAclIndex()`
`boolean` | `hasAclName()`
`boolean` | `hasAclStatus()`
`boolean` | `hasInputL2Intf()`
`boolean` | `hasL2Intf()`
`boolean` | `hasName()`
`boolean` | `hasOutputL2Intf()`
`boolean` | `hasParent()`
`boolean` | `hasRules()`
`void` | `setAclIndex(int index)`
`void` | `setAclName(java.lang.String string)`
`void` | `setAclStatus(java.lang.String string)`
`void` | `setInputL2Intf(L2Interface ifc)`
`void` | `setL2Intf(L2Interface ifc)`
`void` | `setName(java.lang.String s)`
`void` | `setOutputL2Intf(L2Interface ifc)`
`void` | `setParent(AclFunction aclFunction)`
`void` | `setRules(Rule[] rules)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    AclFunction getParent()
                          throws AttributeNotSetException

  An Acl is a Firewalling Function

  Returns:
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setParent

    void setParent(AclFunction aclFunction)

### getAclIndex

    int getAclIndex()
                    throws AttributeNotSetException

  Returns:
    The Access list Index (for the key)
  Throws:
    `AttributeNotSetException`

### setAclIndex

    void setAclIndex(int index)

### hasAclIndex

    boolean hasAclIndex()

### getAclName

    java.lang.String getAclName()
                                throws AttributeNotSetException

  Returns:
    the Access List Name
  Throws:
    `AttributeNotSetException`

### setAclName

    void setAclName(java.lang.String string)

### hasAclName

    boolean hasAclName()

### getAclStatus

    java.lang.String getAclStatus()
                                  throws AttributeNotSetException

  Returns:
    the status of this Access Control List (active/inactive)
  Throws:
    `AttributeNotSetException`

### setAclStatus

    void setAclStatus(java.lang.String string)

### hasAclStatus

    boolean hasAclStatus()

### getL2Intf

    L2Interface getL2Intf()
                          throws AttributeNotSetException

  Returns:
    the L2Interface this access list applies to
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ControlsAccess" reverse="false"

### setL2Intf

    void setL2Intf(L2Interface ifc)

### hasL2Intf

    boolean hasL2Intf()

### getInputL2Intf

    L2Interface getInputL2Intf()
                               throws AttributeNotSetException

  Returns:
    the L2Interface this access list applies to
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ControlsAccessFrom" reverse="false"

### setInputL2Intf

    void setInputL2Intf(L2Interface ifc)

### hasInputL2Intf

    boolean hasInputL2Intf()

### getOutputL2Intf

    L2Interface getOutputL2Intf()
                                throws AttributeNotSetException

  Returns:
    the L2Interface this access list applies to
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ControlsAccessTo" reverse="false"

### setOutputL2Intf

    void setOutputL2Intf(L2Interface ifc)

### hasOutputL2Intf

    boolean hasOutputL2Intf()

### getRules

    Rule[] getRules()
                    throws AttributeNotSetException

  Returns:
    the Rules associated with this Access Control List
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setRules

    void setRules(Rule[] rules)

### hasRules

    boolean hasRules()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String s)

### hasName

    boolean hasName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD